.img-post {
    padding-top: 100%;
    position: relative;
    transition: ease all 1s;
    background-size: 100%;
    &:hover {
        background-size: 130%;
    }
    .post-link {
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        img {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }
    }
}